Bug 107620 - FILESAVE: Space between bullets changes after saving to RTF
Summary: FILESAVE: Space between bullets changes after saving to RTF
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2017-05-04 10:57 UTC by Xisco Faulí
Modified: 2017-08-03 10:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (15.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-05-04 10:57 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-05-04 10:57:43 UTC
Created attachment 133063 [details]
sample

Steps:
1. Open attached document
2. Save it as .RTF
3. Open the new .RTF document

Observed behaviour: Spacing in bullet list has increased


Reproduced in


Version: 5.4.0.0.alpha1+
Build ID: f12096272e684ddcd8ffa4e34dcb0a680cc594c2
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-05-04 11:01:41 UTC
Regression introduced by ( bisected with bibisect-linux-64-5.3 ):

author	Miklos Vajna <vmiklos@collabora.co.uk>	2016-10-18 07:19:50 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-10-18 08:57:33 (GMT)
commit	c486e875de7c8e845594f5043a37ee8800865782 (patch)
tree	321aa0a09cbf02b2d4a0e6a1c1e8ba7f03d27eab
parent	fdd8686987ca4ee693f5f194c8eb482daa69cfef (diff)

tdf#95031 DOCX import: auto spacing inside numbering means no spacing
The WW8 import has code for this in SwWW8ImplReader::AppendTextNode(),
with lots of corner-cases. Not all of that is implemented here yet, but
the bullet list in the bugdoc already looks correct now.

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2017-05-09 11:53:09 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a9854a92923df8013ca832c48aa9f284bcb1adc

tdf#107620 RTF export: handle DocumentSettingId::PARA_SPACE_MAX compat setting

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-05-09 13:51:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f827e21f68adace66caf8b7d8f0bec037e5f9b9&h=libreoffice-5-3

tdf#107620 RTF export: handle DocumentSettingId::PARA_SPACE_MAX compat setting

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-08-03 10:34:22 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 3f16306964d5bb81dda3c681bcabbacadf424e7b
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group